import { lazy } from 'react'
import DataWrap from '@/components/data/DataWrap'

const NullButtonModal = lazy(() => import('../components/NullButtonModal'))
const RepeatButtonModal = lazy(() => import('../components/RepeatButtonModal'))
const MaxButtonModal = lazy(() => import('../components/MaxButtonModal'))
const MinButtonModal = lazy(() => import('../components/MinButtonModal'))
const ErrorButtonModal = lazy(() => import('../components/ErrorButtonModal'))
const OtherButtonModal = lazy(() => import('../components/OtherButtonModal'))

export default function DataWriteUpload() {
  return (
    <DataWrap
      title="数据探索"
      buttons={
        <>
          <NullButtonModal />
          <RepeatButtonModal />
          <MaxButtonModal />
          <MinButtonModal />
          <ErrorButtonModal />
          <OtherButtonModal />
        </>
      }></DataWrap>
  )
}
